Skip to Content
Distributed NewSQL Database(TiDB)ListTiDBClusterService

list tidb cluster - ListTiDBClusterService

Overview

list tidb cluster

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is ListTiDBClusterService.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See Region and Zone ListYes
ZonestringZone. See Region and Zone ListNo
ProjectIdstringProject ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the GetProjectList APINo
OffsetstringStarting position offset of the list, default is 0No
LimitstringThe length of the returned data, default is 20, maximum is 100No

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
Dataarray[UTiDBServiceData]cluster listYes

Data Model

UTiDBServiceData

Field NameTypeDescription InformationRequired
GrafanaUrlstringgrafana urlNo
Idstringcluster idNo
Namestringcluster nameNo
Ipstringcluster ipNo
Portintcluster portNo
Statestringcluster stateNo
TiFlashStatestringcluster TiFlash stateNo
BinlogStatestringcluster Binlog stateNo
AutoBackupstringcluster auto backup stateNo
VPCIdstringVPC IDNo
SubnetIdstringsubnet idNo
Versionstringcluster versionNo
DTTypeintdt typeNo
DashboardUrlstringdashboard urlNo
CreateTimeintcreate timeNo

Example

Request Example

https://api.ucloud-global.com/?Action=ListTiDBClusterService &Region=cn-zj &Zone=cn-zj-01 &ProjectId=yNdiFPfB &Offset=4 &Limit=6

Response Example

{ "Action": "ListTiDBClusterServiceResponse", "Data": [ { "AutoBackup": "mYpOpBwW", "BinlogState": "DhcjgMvN", "CreateTime": 9, "DTType": 8, "DashboardUrl": "iNAmJurL", "Id": "WrrLtFEh", "Ip": "jkVbOGHH", "Name": "CaCDOsFn", "Port": 1, "State": "KwiEfmef", "SubnetId": "wfMYQsER", "TiFlashState": "aVNWVmAC", "VPCId": "oOLPFaYf", "Version": "GdOnpkKh" } ], "RetCode": 0 }